Loading...
Searching...
No Matches
Opm::Constants< Scalar > Class Template Reference

## Static Public Attributes

static constexpr Scalar | R = static_cast<Scalar>(8.314472)
| The ideal gas constant [J/(mol K)].
static constexpr Scalar | Na = static_cast<Scalar>(6.02214179e23)
| The Avogadro constant [1/mol].
static constexpr Scalar | kb = R/Na
| The Boltzmann constant [J/K].
static constexpr Scalar | c = static_cast<Scalar>(299792458.0)
| Speed of light in vacuum [m/s].
static constexpr Scalar | G = static_cast<Scalar>(6.67428e-11)
| Newtonian constant of gravitation [m^3/(kg s^2)].
static constexpr Scalar | h = static_cast<Scalar>(6.62606896e-34)
| Planck constant [J s].
static constexpr Scalar | hRed = h / (2 * M_PI)
| Reduced Planck constant [J s].

The documentation for this class was generated from the following file:

- opm/material/Constants.hpp